FieldMetaInfo.Interval.Closure

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## weka.core.pmml
Enum FieldMetaInfo.Interval.Closure

    java.lang.Object
      java.lang.Enum<FieldMetaInfo.Interval.Closure>
          weka.core.pmml.FieldMetaInfo.Interval.Closure

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FieldMetaInfo.Interval.Closure>

Enclosing class:
  FieldMetaInfo.Interval

    public static enum FieldMetaInfo.Interval.Closure

extends java.lang.Enum<FieldMetaInfo.Interval.Closure>

Enumerated type for the closure.

Enum Constant Summary
`CLOSEDCLOSED`
`CLOSEDOPEN`
`OPENCLOSED`
`OPENOPEN`

Method Summary
`java.lang.String` | `toString()`
`java.lang.String` | `toString(double leftMargin, double rightMargin)`
`static FieldMetaInfo.Interval.Closure` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FieldMetaInfo.Interval.Closure[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPENCLOSED

    public static final FieldMetaInfo.Interval.Closure OPENCLOSED

### OPENOPEN

    public static final FieldMetaInfo.Interval.Closure OPENOPEN

### CLOSEDOPEN

    public static final FieldMetaInfo.Interval.Closure CLOSEDOPEN

### CLOSEDCLOSED

    public static final FieldMetaInfo.Interval.Closure CLOSEDCLOSED

Method Detail

### values

    public static final FieldMetaInfo.Interval.Closure[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FieldMetaInfo.Interval.Closure c : FieldMetaInfo.Interval.Closure.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FieldMetaInfo.Interval.Closure valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<FieldMetaInfo.Interval.Closure>`

### toString

    public java.lang.String toString(double leftMargin,
                                     double rightMargin)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD